Bug 820360 - Unable to download EPEL RPM from download.fedoraproject when on EC2
Unable to download EPEL RPM from download.fedoraproject when on EC2
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: epel-release (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 14:34 EDT by daniel
Modified: 2012-05-11 00:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 21:50:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daniel 2012-05-09 14:34:51 EDT
Description of problem:

When an HTTP request is made to http://download.fedoraproject.org from EC2 a 302 redirect is received for s3-mirror-us-east-1.fedoraproject.org and it doesn't have the 6-5.noarch.rpm file.

Version-Release number of selected component (if applicable):

6-5

How reproducible:

Every time

Steps to Reproduce:
1. curl -L http://download.fedoraproject.org/pub/epel/6/i386/epel-release-6-5.noarch.rpm from EC2 ip space
  
Actual results:

[root@maintenance ~]# curl -IL download.fedoraproject.org:80/pub/epel/6/i386/epel-release-6-5.noarch.rpm
HTTP/1.1 302 FOUND
Date: Wed, 09 May 2012 18:22:44 GMT
Server: Apache/2.2.15 (Red Hat)
cache-control: no-cache
location: http://s3-mirror-us-east-1.fedoraproject.org/pub/epel/6/i386/epel-release-6-5.noarch.rpm
AppTime: D=25063
AppServer: app02.phx2.fedoraproject.org
Content-Type: text/html; charset=utf-8
ProxyTime: D=116040
ProxyServer: proxy06.fedoraproject.org

HTTP/1.1 404 Not Found
x-amz-error-code: NoSuchKey
x-amz-error-message: The specified key does not exist.
x-amz-error-detail-Key: pub/epel/6/i386/epel-release-6-5.noarch.rpm
x-amz-request-id: 5E641BE7715F0B73
x-amz-id-2: NldDqsGbdsFARczp18mPROcoHapMLtNlW5MgMqvunWIgzPr6yHaHDWgPnjH5ER0C
Transfer-Encoding: chunked
Date: Wed, 09 May 2012 18:22:46 GMT
Server: AmazonS3

Expected results:

The RPM should be returned.

Additional info:

It seems a number of other HTTP mirrors are returning 404s for that file as well. It only seems to work properly about 10% of the time.
Comment 1 Matt Domsch 2012-05-09 16:43:01 EDT
epel-release-6-5 was obsoleted and removed from the master mirror on 21-April.  Yum should not be requesting it.

sudo yum clean metadata

and try again.
Comment 2 daniel 2012-05-09 18:15:54 EDT
Thanks, switched to 6-6 and it's working now. 

The wiki still says 6-5 for RHEL 6, is there a way to pull whatever the lastest is for a given major release?

http://fedoraproject.org/wiki/EPEL/FAQ#How_can_I_install_the_packages_from_the_EPEL_software_repository.3F
Comment 3 Matt Domsch 2012-05-10 21:50:16 EDT
I've forwarded the query on to Ian Weller, our wiki expert.  Closing this bug.
Comment 4 Ian Weller 2012-05-11 00:14:02 EDT
(In reply to comment #2)
> The wiki still says 6-5 for RHEL 6, is there a way to pull whatever the lastest
> is for a given major release?

Unfortunately, not built in, no. (A MediaWiki extension could be written but I wouldn't see it getting a lot of use, and given my PHP skill it would probably have seventy security holes...)

Note You need to log in before you can comment on or make changes to this bug.